# <img src="images/ripple-effect-logo.svg" alt="Ripple Effect" width="350px" />
[![MIT license](https://img.shields.io/badge/License-MIT-blue.svg)](https://github.com/gabrielfins/ripple-effect/blob/master/LICENSE.md)
[![Website shields.io](https://img.shields.io/website-up-down-green-red/http/shields.io.svg)](https://gabrielfins.github.io/ripple-effect)

### Efeito de ripples baseado no Material Design feito com **CSS, JavaScript e jQuery**

Esse efeito utiliza seletores do jQuery e manipulação do DOM para obter um efeito extremamente preciso em relação ao original.

## Demo
[![forthebadge](https://forthebadge.com/images/badges/built-with-resentment.svg)](https://forthebadge.com)

* https://gabrielfins.github.io/ripple-effect

## Como usar
[![forthebadge](https://forthebadge.com/images/badges/ctrl-c-ctrl-v.svg)](https://forthebadge.com)

Classe | Efeito
-------|-------
ripple-effect | Adiciona o efeito ao componente
ripples-light | Muda a cor do efeito para sua versão clara
ripples-dark (padrão) | Muda a cor do efeito para sua versão escura

##### Nota: as classes ripples-light e ripples-dark só funcionam em conjunto com a classe ripple-effect.

### Criando classes personalizadas

* Exemplo:

```css
.ripples-blue .ripple {
    background-color: #21D4FD;
}
```

Nesse exemplo, o elemento que tiver a classe `.ripples-blue` terá o efeito da cor `#21D4FD`.

##### Nota: É também possível aumentar a opacidade do efeito a partir da propriedade opacity.

## Instalação
[![forthebadge](https://forthebadge.com/images/badges/powered-by-electricity.svg)](https://forthebadge.com)

Por enquanto, esse projeto só pode ser adicionado via download e importação dos arquivos. Para baixar somente as pastas necessárias,
acesse o [site de demonstração](https://gabrielfins.github.io/ripple-effect), vá até a seção "Adicione ao seu projeto" e clique no botão "baixar".
Há planos para adicionar a possibilidade de baixar o efeito via npm ou yarn.

- [x] Download dos arquivos
- [ ] npm
- [ ] yarn

## Adicionando ao seu projeto

1. Ao baixar os arquivos

Por esse método, você precisa linkar os arquivos e a biblioteca do jQuery no seu arquivo HTML.

```html
<head>
    <link rel="stylesheet" href="ripples/ripples.css">
    <script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
</head>
<body>
    <div>
        ...
    </div>
    <script src="ripples/ripples.js"></script>
</body>
```

Ou então, ao invés de importar o arquivo CSS no HTML, importar diretamente no seu arquivo CSS principal.

```css
@import url("ripples/ripples.css");
```
---
#### Criado e mantido por [Gabriel Figueredo](https://github.com/gabrielfins)
